import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Background directives
 */
var BackgroundDirective = (function () {
    function BackgroundDirective() {
    }
    Object.defineProperty(BackgroundDirective.prototype, "background", {
        set: function (val) {
            this._background = val;
        },
        enumerable: true,
        configurable: true
    });
    BackgroundDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[background]'
                },] },
    ];
    /** @nocollapse */
    BackgroundDirective.ctorParameters = function () { return []; };
    BackgroundDirective.propDecorators = {
        "_background": [{ type: HostBinding, args: ['style.background',] },],
        "background": [{ type: Input },],
    };
    return BackgroundDirective;
}());
export { BackgroundDirective };
var BackgroundColorDirective = (function () {
    function BackgroundColorDirective() {
    }
    Object.defineProperty(BackgroundColorDirective.prototype, "backgroundColor", {
        set: function (val) {
            this._backgroundColor = val;
        },
        enumerable: true,
        configurable: true
    });
    BackgroundColorDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[backgroundColor]'
                },] },
    ];
    /** @nocollapse */
    BackgroundColorDirective.ctorParameters = function () { return []; };
    BackgroundColorDirective.propDecorators = {
        "_backgroundColor": [{ type: HostBinding, args: ['style.background-color',] },],
        "backgroundColor": [{ type: Input },],
    };
    return BackgroundColorDirective;
}());
export { BackgroundColorDirective };
var BackgroundSizeDirective = (function () {
    function BackgroundSizeDirective() {
    }
    Object.defineProperty(BackgroundSizeDirective.prototype, "backgroundSize", {
        set: function (val) {
            this._backgroundSize = format(val);
        },
        enumerable: true,
        configurable: true
    });
    BackgroundSizeDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[backgroundSize]'
                },] },
    ];
    /** @nocollapse */
    BackgroundSizeDirective.ctorParameters = function () { return []; };
    BackgroundSizeDirective.propDecorators = {
        "_backgroundSize": [{ type: HostBinding, args: ['style.background-size',] },],
        "backgroundSize": [{ type: Input },],
    };
    return BackgroundSizeDirective;
}());
export { BackgroundSizeDirective };
//# sourceMappingURL=background.directives.js.map