/**
 * Border color directives
 */
export declare class BorderColorDirective {
    _borderColor: string;
    borderColor: string;
}
export declare class BorderTopColorDirective {
    _borderTopColor: string;
    borderTopColor: string;
}
export declare class BorderBottomColorDirective {
    _borderBottomColor: string;
    borderBottomColor: string;
}
export declare class BorderLeftColorDirective {
    _borderLeftColor: string;
    borderLeftColor: string;
}
export declare class BorderRightColorDirective {
    _borderRightColor: string;
    borderRightColor: string;
}
/**
 * Border width directives
 */
export declare class BorderWidthDirective {
    _borderWidth: string;
    _borderStyle: string;
    borderWidth: string | number;
}
export declare class BorderTopWidthDirective {
    _borderTopWidth: string;
    _borderStyle: string;
    borderTopWidth: string | number;
}
export declare class BorderBottomWidthDirective {
    _borderBottomWidth: string;
    _borderStyle: string;
    borderBottomWidth: string | number;
}
export declare class BorderLeftWidthDirective {
    _borderLeftWidth: string;
    _borderStyle: string;
    borderLeftWidth: string | number;
}
export declare class BorderRigthWidthDirective {
    _borderRigthWidth: string;
    _borderStyle: string;
    borderRigthWidth: string | number;
}
/***
 * Border radius props
 */
export declare class BorderRadiusDirective {
    _borderRadius: string;
    borderRadius: string | number;
}
export declare class BorderTopLeftRadiusDirective {
    _borderTopLeft: string;
    borderTopLeftRadius: string | number;
}
export declare class BorderTopRightRadiusDirective {
    _borderTopRight: string;
    borderTopRightRadius: string | number;
}
export declare class BorderBottomLeftRadiusDirective {
    _borderBottomLeft: string;
    borderBottomLeftRadius: string | number;
}
export declare class BorderBottomRightRadiusDirective {
    _borderBottomRight: string;
    borderBottomRightRadius: string | number;
}
