/**
 * Font directives
 */
export declare class ColorDirective {
    _color: string;
    color: string;
}
export declare class FontSizeDirective {
    _fontSize: string;
    fontSize: string | number;
}
export declare class FontWeightDirective {
    _fontWeight: string;
    fontWeight: string;
}
export declare class UnderlineDirective {
    _underline: string;
    underline: any;
}
export declare class ItalicDirective {
    fontStyle: string;
    italic: any;
}
export declare class LineHeightDirective {
    _lineHeight: string;
    lineHeight: string | number;
}
export declare class WhiteSpaceDirective {
    _whiteSpace: string;
    whiteSpace: any;
}
export declare class TextOverflowDirective {
    _textOverflow: string;
    textOverflow: string;
}
