/**
 * Overflow directives
 */
export declare class FloatDirective {
    _float: string;
    float: string;
}
export declare class PositionDirective {
    _position: string;
    position: string;
}
export declare class DisplayDirective {
    _display: string;
    display: string;
}
export declare class ZIndexDirective {
    _z: string;
    zIndex: string;
}
export declare class LeftDirective {
    _left: string;
    left: string | number;
}
export declare class RightDirective {
    _right: string;
    right: string | number;
}
export declare class TopDirective {
    _top: string;
    top: string | number;
}
export declare class BottomDirective {
    _bottom: string;
    bottom: string | number;
}
