import { Directive, HostBinding, Input } from '@angular/core';
/**
 * Text align directives
 */
var TextAlignCenterDirective = (function () {
    function TextAlignCenterDirective() {
    }
    Object.defineProperty(TextAlignCenterDirective.prototype, "tac", {
        set: function (val) {
            this._tac = 'center';
        },
        enumerable: true,
        configurable: true
    });
    TextAlignCenterDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[tac]'
                },] },
    ];
    /** @nocollapse */
    TextAlignCenterDirective.ctorParameters = function () { return []; };
    TextAlignCenterDirective.propDecorators = {
        "_tac": [{ type: HostBinding, args: ['style.text-align',] },],
        "tac": [{ type: Input },],
    };
    return TextAlignCenterDirective;
}());
export { TextAlignCenterDirective };
var TextAlignRightDirective = (function () {
    function TextAlignRightDirective() {
    }
    Object.defineProperty(TextAlignRightDirective.prototype, "tac", {
        set: function (val) {
            this._tac = 'right';
        },
        enumerable: true,
        configurable: true
    });
    TextAlignRightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[tar]'
                },] },
    ];
    /** @nocollapse */
    TextAlignRightDirective.ctorParameters = function () { return []; };
    TextAlignRightDirective.propDecorators = {
        "_tac": [{ type: HostBinding, args: ['style.text-align',] },],
        "tac": [{ type: Input },],
    };
    return TextAlignRightDirective;
}());
export { TextAlignRightDirective };
var TextAlignLeftDirective = (function () {
    function TextAlignLeftDirective() {
    }
    Object.defineProperty(TextAlignLeftDirective.prototype, "tac", {
        set: function (val) {
            this._tac = 'left';
        },
        enumerable: true,
        configurable: true
    });
    TextAlignLeftDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[tal]'
                },] },
    ];
    /** @nocollapse */
    TextAlignLeftDirective.ctorParameters = function () { return []; };
    TextAlignLeftDirective.propDecorators = {
        "_tac": [{ type: HostBinding, args: ['style.text-align',] },],
        "tac": [{ type: Input },],
    };
    return TextAlignLeftDirective;
}());
export { TextAlignLeftDirective };
//# sourceMappingURL=textAlign.directives.js.map