import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Width directives
 */
var WidthDirective = (function () {
    function WidthDirective() {
    }
    Object.defineProperty(WidthDirective.prototype, "width", {
        set: function (val) {
            this._width = format(val);
        },
        enumerable: true,
        configurable: true
    });
    WidthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[width]'
                },] },
    ];
    /** @nocollapse */
    WidthDirective.ctorParameters = function () { return []; };
    WidthDirective.propDecorators = {
        "_width": [{ type: HostBinding, args: ['style.width',] },],
        "width": [{ type: Input },],
    };
    return WidthDirective;
}());
export { WidthDirective };
var MaxWidthDirective = (function () {
    function MaxWidthDirective() {
    }
    Object.defineProperty(MaxWidthDirective.prototype, "maxWidth", {
        set: function (val) {
            this._maxWidth = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MaxWidthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[maxWidth]'
                },] },
    ];
    /** @nocollapse */
    MaxWidthDirective.ctorParameters = function () { return []; };
    MaxWidthDirective.propDecorators = {
        "_maxWidth": [{ type: HostBinding, args: ['style.max-width',] },],
        "maxWidth": [{ type: Input },],
    };
    return MaxWidthDirective;
}());
export { MaxWidthDirective };
var MinWidthDirective = (function () {
    function MinWidthDirective() {
    }
    Object.defineProperty(MinWidthDirective.prototype, "minWidth", {
        set: function (val) {
            this._minWidth = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MinWidthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[minWidth]'
                },] },
    ];
    /** @nocollapse */
    MinWidthDirective.ctorParameters = function () { return []; };
    MinWidthDirective.propDecorators = {
        "_minWidth": [{ type: HostBinding, args: ['style.min-width',] },],
        "minWidth": [{ type: Input },],
    };
    return MinWidthDirective;
}());
export { MinWidthDirective };
//# sourceMappingURL=width.directives.js.map