import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Extra directives
 */
var CursorDirective = (function () {
    function CursorDirective() {
    }
    Object.defineProperty(CursorDirective.prototype, "cursor", {
        set: function (val) {
            this._cursor = val;
        },
        enumerable: true,
        configurable: true
    });
    CursorDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[cursor]'
                },] },
    ];
    /** @nocollapse */
    CursorDirective.ctorParameters = function () { return []; };
    CursorDirective.propDecorators = {
        "_cursor": [{ type: HostBinding, args: ['style.cursor',] },],
        "cursor": [{ type: Input },],
    };
    return CursorDirective;
}());
export { CursorDirective };
var BlurDirective = (function () {
    function BlurDirective() {
    }
    Object.defineProperty(BlurDirective.prototype, "blur", {
        set: function (val) {
            this._blur = format(val);
        },
        enumerable: true,
        configurable: true
    });
    BlurDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[blur]'
                },] },
    ];
    /** @nocollapse */
    BlurDirective.ctorParameters = function () { return []; };
    BlurDirective.propDecorators = {
        "_blur": [{ type: HostBinding, args: ['style.blur',] },],
        "blur": [{ type: Input },],
    };
    return BlurDirective;
}());
export { BlurDirective };
var OpacityDirective = (function () {
    function OpacityDirective() {
    }
    Object.defineProperty(OpacityDirective.prototype, "opacity", {
        set: function (val) {
            this._opacity = val;
        },
        enumerable: true,
        configurable: true
    });
    OpacityDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[opacity]'
                },] },
    ];
    /** @nocollapse */
    OpacityDirective.ctorParameters = function () { return []; };
    OpacityDirective.propDecorators = {
        "_opacity": [{ type: HostBinding, args: ['style.opacity',] },],
        "opacity": [{ type: Input },],
    };
    return OpacityDirective;
}());
export { OpacityDirective };
var TransformDirective = (function () {
    function TransformDirective() {
    }
    Object.defineProperty(TransformDirective.prototype, "transform", {
        set: function (val) {
            this._transform = val;
        },
        enumerable: true,
        configurable: true
    });
    TransformDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[transform]'
                },] },
    ];
    /** @nocollapse */
    TransformDirective.ctorParameters = function () { return []; };
    TransformDirective.propDecorators = {
        "_transform": [{ type: HostBinding, args: ['style.transform',] },],
        "transform": [{ type: Input },],
    };
    return TransformDirective;
}());
export { TransformDirective };
/***
 * Not working --> only with DOMSanitizer.bypassSecurityTrustStyle
 * This will override all styles, preventing other style items to be set
 */
// @Directive({
//   selector: '[boxShadow]'
// })
// export class BoxShadowDirective {
//   @HostBinding('style.box-shadow') _boxShadow: string;
//   @Input()
//   public set boxShadow(val: string) {
//     this._boxShadow = val;
//   }
// }
//# sourceMappingURL=extra.directives.js.map