import { ElementRef } from '@angular/core';
/**
 * Flex direction directives
 */
export declare class FdrDirective {
    display: string;
    fdr: string;
    constructor(el: ElementRef);
}
export declare class FdcDirective {
    display: string;
    fdr: string;
    constructor(el: ElementRef);
}
export declare class FdrrDirective {
    display: string;
    fdr: string;
    constructor(el: ElementRef);
}
export declare class FdcrDirective {
    display: string;
    fdr: string;
    constructor(el: ElementRef);
}
/**
 * Flex wrap directives
 */
export declare class FwDirective {
    fw: string;
    constructor(el: ElementRef);
}
export declare class FnwDirective {
    fw: string;
    constructor(el: ElementRef);
}
export declare class FwrwDirective {
    fw: string;
    constructor(el: ElementRef);
}
/***
 * Flex flow directives
 */
export declare class FffdDirective {
    ff: string;
    constructor(el: ElementRef);
}
export declare class FffwDirective {
    ff: string;
    constructor(el: ElementRef);
}
/**
 * Flex basis directives
 */
export declare class FbDirective {
    _fb: string;
    fb: string;
}
/***
 * Justify content directives
 */
export declare class JcsaDirective {
    jc: string;
    display: string;
    constructor(el: ElementRef);
}
export declare class JcsbDirective {
    jc: string;
    display: string;
    constructor(el: ElementRef);
}
export declare class JccDirective {
    jc: string;
    display: string;
    constructor(el: ElementRef);
}
export declare class JcfeDirective {
    jc: string;
    display: string;
    constructor(el: ElementRef);
}
export declare class JcfsDirective {
    jc: string;
    display: string;
    constructor(el: ElementRef);
}
export declare class JcseDirective {
    jc: string;
    display: string;
    constructor(el: ElementRef);
}
/***
 * Align items directives
 */
export declare class AibDirective {
    ai: string;
    constructor(el: ElementRef);
}
export declare class AicDirective {
    ai: string;
    constructor(el: ElementRef);
}
export declare class AifeDirective {
    ai: string;
    constructor(el: ElementRef);
}
export declare class AifsDirective {
    ai: string;
    constructor(el: ElementRef);
}
export declare class AisDirective {
    ais: string;
    constructor(el: ElementRef);
}
export declare class AsaDirective {
    asa: string;
    constructor(el: ElementRef);
}
export declare class AssDirective {
    ass: string;
    constructor(el: ElementRef);
}
export declare class AscDirective {
    asc: string;
    constructor(el: ElementRef);
}
export declare class AsfsDirective {
    asfs: string;
    constructor(el: ElementRef);
}
export declare class AsfeDirective {
    asfe: string;
    constructor(el: ElementRef);
}
export declare class AsfbDirective {
    asfb: string;
    constructor(el: ElementRef);
}
export declare class AsiDirective {
    asi: string;
    constructor(el: ElementRef);
}
/**
 * General flex directives
 */
export declare class FlexShortDirective {
    _flex: string;
    flexShort: string;
}
export declare class FlexGrowDirective {
    fg: string;
    flexGrow: string;
}
export declare class FlexDirective {
    fl: string;
    flex: string;
}
export declare class FlexShrinkDirective {
    fs: string;
    flexShrink: string;
}
export declare class FlexOrderDirective {
    _order: string;
    order: string;
}
