import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Height directives
 */
var HeightDirective = (function () {
    function HeightDirective() {
    }
    Object.defineProperty(HeightDirective.prototype, "height", {
        set: function (val) {
            this._height = format(val);
        },
        enumerable: true,
        configurable: true
    });
    HeightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[height]'
                },] },
    ];
    /** @nocollapse */
    HeightDirective.ctorParameters = function () { return []; };
    HeightDirective.propDecorators = {
        "_height": [{ type: HostBinding, args: ['style.height',] },],
        "height": [{ type: Input },],
    };
    return HeightDirective;
}());
export { HeightDirective };
var MaxHeightDirective = (function () {
    function MaxHeightDirective() {
    }
    Object.defineProperty(MaxHeightDirective.prototype, "maxHeight", {
        set: function (val) {
            this._maxHeight = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MaxHeightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[maxHeight]'
                },] },
    ];
    /** @nocollapse */
    MaxHeightDirective.ctorParameters = function () { return []; };
    MaxHeightDirective.propDecorators = {
        "_maxHeight": [{ type: HostBinding, args: ['style.max-height',] },],
        "maxHeight": [{ type: Input },],
    };
    return MaxHeightDirective;
}());
export { MaxHeightDirective };
var MinHeightDirective = (function () {
    function MinHeightDirective() {
    }
    Object.defineProperty(MinHeightDirective.prototype, "minHeight", {
        set: function (val) {
            this._minHeight = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MinHeightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[minHeight]'
                },] },
    ];
    /** @nocollapse */
    MinHeightDirective.ctorParameters = function () { return []; };
    MinHeightDirective.propDecorators = {
        "_minHeight": [{ type: HostBinding, args: ['style.min-height',] },],
        "minHeight": [{ type: Input },],
    };
    return MinHeightDirective;
}());
export { MinHeightDirective };
//# sourceMappingURL=height.directives.js.map