import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Margin directives
 */
var MarginDirective = (function () {
    function MarginDirective() {
    }
    Object.defineProperty(MarginDirective.prototype, "margin", {
        set: function (val) {
            this._margin = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MarginDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[margin]'
                },] },
    ];
    /** @nocollapse */
    MarginDirective.ctorParameters = function () { return []; };
    MarginDirective.propDecorators = {
        "_margin": [{ type: HostBinding, args: ['style.margin',] },],
        "margin": [{ type: Input },],
    };
    return MarginDirective;
}());
export { MarginDirective };
var MarginLeftDirective = (function () {
    function MarginLeftDirective() {
    }
    Object.defineProperty(MarginLeftDirective.prototype, "marginLeft", {
        set: function (val) {
            this._marginLeft = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MarginLeftDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[marginLeft]'
                },] },
    ];
    /** @nocollapse */
    MarginLeftDirective.ctorParameters = function () { return []; };
    MarginLeftDirective.propDecorators = {
        "_marginLeft": [{ type: HostBinding, args: ['style.margin-left',] },],
        "marginLeft": [{ type: Input },],
    };
    return MarginLeftDirective;
}());
export { MarginLeftDirective };
var MarginRightDirective = (function () {
    function MarginRightDirective() {
    }
    Object.defineProperty(MarginRightDirective.prototype, "marginRight", {
        set: function (val) {
            this._marginRight = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MarginRightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[marginRight]'
                },] },
    ];
    /** @nocollapse */
    MarginRightDirective.ctorParameters = function () { return []; };
    MarginRightDirective.propDecorators = {
        "_marginRight": [{ type: HostBinding, args: ['style.margin-right',] },],
        "marginRight": [{ type: Input },],
    };
    return MarginRightDirective;
}());
export { MarginRightDirective };
var MarginTopDirective = (function () {
    function MarginTopDirective() {
    }
    Object.defineProperty(MarginTopDirective.prototype, "marginTop", {
        set: function (val) {
            this._marginTop = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MarginTopDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[marginTop]'
                },] },
    ];
    /** @nocollapse */
    MarginTopDirective.ctorParameters = function () { return []; };
    MarginTopDirective.propDecorators = {
        "_marginTop": [{ type: HostBinding, args: ['style.margin-top',] },],
        "marginTop": [{ type: Input },],
    };
    return MarginTopDirective;
}());
export { MarginTopDirective };
var MarginBottomDirective = (function () {
    function MarginBottomDirective() {
    }
    Object.defineProperty(MarginBottomDirective.prototype, "marginBottom", {
        set: function (val) {
            this._marginBottom = format(val);
        },
        enumerable: true,
        configurable: true
    });
    MarginBottomDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[marginBottom]'
                },] },
    ];
    /** @nocollapse */
    MarginBottomDirective.ctorParameters = function () { return []; };
    MarginBottomDirective.propDecorators = {
        "_marginBottom": [{ type: HostBinding, args: ['style.margin-bottom',] },],
        "marginBottom": [{ type: Input },],
    };
    return MarginBottomDirective;
}());
export { MarginBottomDirective };
//# sourceMappingURL=margin.directives.js.map