import { Directive, HostBinding, Input } from '@angular/core';
/**
 * Overflow directives
 */
var OverflowDirective = (function () {
    function OverflowDirective() {
    }
    Object.defineProperty(OverflowDirective.prototype, "overflow", {
        set: function (val) {
            this._overflow = val;
        },
        enumerable: true,
        configurable: true
    });
    OverflowDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[overflow]'
                },] },
    ];
    /** @nocollapse */
    OverflowDirective.ctorParameters = function () { return []; };
    OverflowDirective.propDecorators = {
        "_overflow": [{ type: HostBinding, args: ['style.overflow',] },],
        "overflow": [{ type: Input },],
    };
    return OverflowDirective;
}());
export { OverflowDirective };
var OverflowXDirective = (function () {
    function OverflowXDirective() {
    }
    Object.defineProperty(OverflowXDirective.prototype, "overflowX", {
        set: function (val) {
            this._overflowX = val;
        },
        enumerable: true,
        configurable: true
    });
    OverflowXDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[overflowX]'
                },] },
    ];
    /** @nocollapse */
    OverflowXDirective.ctorParameters = function () { return []; };
    OverflowXDirective.propDecorators = {
        "_overflowX": [{ type: HostBinding, args: ['style.overflow-x',] },],
        "overflowX": [{ type: Input },],
    };
    return OverflowXDirective;
}());
export { OverflowXDirective };
var OverflowYDirective = (function () {
    function OverflowYDirective() {
    }
    Object.defineProperty(OverflowYDirective.prototype, "overflowY", {
        set: function (val) {
            this._overflowY = val;
        },
        enumerable: true,
        configurable: true
    });
    OverflowYDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[overflowY]'
                },] },
    ];
    /** @nocollapse */
    OverflowYDirective.ctorParameters = function () { return []; };
    OverflowYDirective.propDecorators = {
        "_overflowY": [{ type: HostBinding, args: ['style.overflow-y',] },],
        "overflowY": [{ type: Input },],
    };
    return OverflowYDirective;
}());
export { OverflowYDirective };
//# sourceMappingURL=overflow.directives.js.map