import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Padding directives
 */
var PaddingDirective = (function () {
    function PaddingDirective() {
    }
    Object.defineProperty(PaddingDirective.prototype, "padding", {
        set: function (val) {
            this._padding = format(val);
        },
        enumerable: true,
        configurable: true
    });
    PaddingDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[padding]'
                },] },
    ];
    /** @nocollapse */
    PaddingDirective.ctorParameters = function () { return []; };
    PaddingDirective.propDecorators = {
        "_padding": [{ type: HostBinding, args: ['style.padding',] },],
        "padding": [{ type: Input },],
    };
    return PaddingDirective;
}());
export { PaddingDirective };
var PaddingLeftDirective = (function () {
    function PaddingLeftDirective() {
    }
    Object.defineProperty(PaddingLeftDirective.prototype, "paddingLeft", {
        set: function (val) {
            this._paddingLeft = format(val);
        },
        enumerable: true,
        configurable: true
    });
    PaddingLeftDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[paddingLeft]'
                },] },
    ];
    /** @nocollapse */
    PaddingLeftDirective.ctorParameters = function () { return []; };
    PaddingLeftDirective.propDecorators = {
        "_paddingLeft": [{ type: HostBinding, args: ['style.padding-left',] },],
        "paddingLeft": [{ type: Input },],
    };
    return PaddingLeftDirective;
}());
export { PaddingLeftDirective };
var PaddingRightDirective = (function () {
    function PaddingRightDirective() {
    }
    Object.defineProperty(PaddingRightDirective.prototype, "paddingRight", {
        set: function (val) {
            this._paddingRight = format(val);
        },
        enumerable: true,
        configurable: true
    });
    PaddingRightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[paddingRight]'
                },] },
    ];
    /** @nocollapse */
    PaddingRightDirective.ctorParameters = function () { return []; };
    PaddingRightDirective.propDecorators = {
        "_paddingRight": [{ type: HostBinding, args: ['style.padding-right',] },],
        "paddingRight": [{ type: Input },],
    };
    return PaddingRightDirective;
}());
export { PaddingRightDirective };
var PaddingTopDirective = (function () {
    function PaddingTopDirective() {
    }
    Object.defineProperty(PaddingTopDirective.prototype, "paddingTop", {
        set: function (val) {
            this._paddingTop = format(val);
        },
        enumerable: true,
        configurable: true
    });
    PaddingTopDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[paddingTop]'
                },] },
    ];
    /** @nocollapse */
    PaddingTopDirective.ctorParameters = function () { return []; };
    PaddingTopDirective.propDecorators = {
        "_paddingTop": [{ type: HostBinding, args: ['style.padding-top',] },],
        "paddingTop": [{ type: Input },],
    };
    return PaddingTopDirective;
}());
export { PaddingTopDirective };
var PaddingBottomDirective = (function () {
    function PaddingBottomDirective() {
    }
    Object.defineProperty(PaddingBottomDirective.prototype, "paddingBottom", {
        set: function (val) {
            this._paddingBottom = format(val);
        },
        enumerable: true,
        configurable: true
    });
    PaddingBottomDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[paddingBottom]'
                },] },
    ];
    /** @nocollapse */
    PaddingBottomDirective.ctorParameters = function () { return []; };
    PaddingBottomDirective.propDecorators = {
        "_paddingBottom": [{ type: HostBinding, args: ['style.padding-bottom',] },],
        "paddingBottom": [{ type: Input },],
    };
    return PaddingBottomDirective;
}());
export { PaddingBottomDirective };
//# sourceMappingURL=padding.directives.js.map