import { Directive, HostBinding, Input } from '@angular/core';
import { format } from '../utils/format';
/**
 * Overflow directives
 */
var FloatDirective = (function () {
    function FloatDirective() {
    }
    Object.defineProperty(FloatDirective.prototype, "float", {
        set: function (val) {
            this._float = val;
        },
        enumerable: true,
        configurable: true
    });
    FloatDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[float]'
                },] },
    ];
    /** @nocollapse */
    FloatDirective.ctorParameters = function () { return []; };
    FloatDirective.propDecorators = {
        "_float": [{ type: HostBinding, args: ['style.float',] },],
        "float": [{ type: Input },],
    };
    return FloatDirective;
}());
export { FloatDirective };
var PositionDirective = (function () {
    function PositionDirective() {
    }
    Object.defineProperty(PositionDirective.prototype, "position", {
        set: function (val) {
            this._position = val;
        },
        enumerable: true,
        configurable: true
    });
    PositionDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[position]'
                },] },
    ];
    /** @nocollapse */
    PositionDirective.ctorParameters = function () { return []; };
    PositionDirective.propDecorators = {
        "_position": [{ type: HostBinding, args: ['style.position',] },],
        "position": [{ type: Input },],
    };
    return PositionDirective;
}());
export { PositionDirective };
var DisplayDirective = (function () {
    function DisplayDirective() {
    }
    Object.defineProperty(DisplayDirective.prototype, "display", {
        set: function (val) {
            this._display = val;
        },
        enumerable: true,
        configurable: true
    });
    DisplayDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[display]'
                },] },
    ];
    /** @nocollapse */
    DisplayDirective.ctorParameters = function () { return []; };
    DisplayDirective.propDecorators = {
        "_display": [{ type: HostBinding, args: ['style.display',] },],
        "display": [{ type: Input },],
    };
    return DisplayDirective;
}());
export { DisplayDirective };
var ZIndexDirective = (function () {
    function ZIndexDirective() {
    }
    Object.defineProperty(ZIndexDirective.prototype, "zIndex", {
        set: function (val) {
            this._z = val;
        },
        enumerable: true,
        configurable: true
    });
    ZIndexDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[zIndex]'
                },] },
    ];
    /** @nocollapse */
    ZIndexDirective.ctorParameters = function () { return []; };
    ZIndexDirective.propDecorators = {
        "_z": [{ type: HostBinding, args: ['style.z-index',] },],
        "zIndex": [{ type: Input },],
    };
    return ZIndexDirective;
}());
export { ZIndexDirective };
var LeftDirective = (function () {
    function LeftDirective() {
    }
    Object.defineProperty(LeftDirective.prototype, "left", {
        set: function (val) {
            this._left = format(val);
        },
        enumerable: true,
        configurable: true
    });
    LeftDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[left]'
                },] },
    ];
    /** @nocollapse */
    LeftDirective.ctorParameters = function () { return []; };
    LeftDirective.propDecorators = {
        "_left": [{ type: HostBinding, args: ['style.left',] },],
        "left": [{ type: Input },],
    };
    return LeftDirective;
}());
export { LeftDirective };
var RightDirective = (function () {
    function RightDirective() {
    }
    Object.defineProperty(RightDirective.prototype, "right", {
        set: function (val) {
            this._right = format(val);
        },
        enumerable: true,
        configurable: true
    });
    RightDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[right]'
                },] },
    ];
    /** @nocollapse */
    RightDirective.ctorParameters = function () { return []; };
    RightDirective.propDecorators = {
        "_right": [{ type: HostBinding, args: ['style.right',] },],
        "right": [{ type: Input },],
    };
    return RightDirective;
}());
export { RightDirective };
var TopDirective = (function () {
    function TopDirective() {
    }
    Object.defineProperty(TopDirective.prototype, "top", {
        set: function (val) {
            this._top = format(val);
        },
        enumerable: true,
        configurable: true
    });
    TopDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[top]'
                },] },
    ];
    /** @nocollapse */
    TopDirective.ctorParameters = function () { return []; };
    TopDirective.propDecorators = {
        "_top": [{ type: HostBinding, args: ['style.top',] },],
        "top": [{ type: Input },],
    };
    return TopDirective;
}());
export { TopDirective };
var BottomDirective = (function () {
    function BottomDirective() {
    }
    Object.defineProperty(BottomDirective.prototype, "bottom", {
        set: function (val) {
            this._bottom = format(val);
        },
        enumerable: true,
        configurable: true
    });
    BottomDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[bottom]'
                },] },
    ];
    /** @nocollapse */
    BottomDirective.ctorParameters = function () { return []; };
    BottomDirective.propDecorators = {
        "_bottom": [{ type: HostBinding, args: ['style.bottom',] },],
        "bottom": [{ type: Input },],
    };
    return BottomDirective;
}());
export { BottomDirective };
//# sourceMappingURL=position.directives.js.map