/**
 * angular-styled-components - Styled component package for Angular
 * @version v0.0.21
 * @author Donovan De Smedt
 * @link undefined
 * @license ISC
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("@angular/core"));
	else if(typeof define === 'function' && define.amd)
		define(["@angular/core"], factory);
	else if(typeof exports === 'object')
		exports["ticktock"] = factory(require("@angular/core"));
	else
		root["ticktock"] = factory(root["ng"]["core"]);
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 2);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", { value: true });
function format(value) {
    if (typeof value === 'number' || /^\d+$/.test(value.charAt(value.length - 1))) {
        return value + "px";
    }
    return value;
}
exports.format = format;

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function __export(m) {
    for (var p in m) {
        if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(3));

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var background_directives_1 = __webpack_require__(4);
var border_directives_1 = __webpack_require__(5);
var extra_directives_1 = __webpack_require__(6);
var flex_directives_1 = __webpack_require__(7);
var font_directives_1 = __webpack_require__(8);
var height_directives_1 = __webpack_require__(9);
var margin_directives_1 = __webpack_require__(10);
var overflow_directives_1 = __webpack_require__(11);
var padding_directives_1 = __webpack_require__(12);
var position_directives_1 = __webpack_require__(13);
var textAlign_directives_1 = __webpack_require__(14);
var width_directives_1 = __webpack_require__(15);
var StyledComponentsModule = function () {
    function StyledComponentsModule() {}
    StyledComponentsModule = __decorate([core_1.NgModule({
        imports: [],
        declarations: [[background_directives_1.BackgroundColorDirective, background_directives_1.BackgroundDirective, background_directives_1.BackgroundSizeDirective, border_directives_1.BorderBottomColorDirective, border_directives_1.BorderBottomLeftRadiusDirective, border_directives_1.BorderBottomRightRadiusDirective, border_directives_1.BorderBottomWidthDirective, border_directives_1.BorderColorDirective, border_directives_1.BorderLeftColorDirective, border_directives_1.BorderLeftWidthDirective, border_directives_1.BorderRadiusDirective, border_directives_1.BorderRightColorDirective, border_directives_1.BorderRigthWidthDirective, border_directives_1.BorderTopColorDirective, border_directives_1.BorderTopLeftRadiusDirective, border_directives_1.BorderTopRightRadiusDirective, border_directives_1.BorderTopWidthDirective, border_directives_1.BorderWidthDirective, flex_directives_1.AibDirective, flex_directives_1.AicDirective, flex_directives_1.AifeDirective, flex_directives_1.AifsDirective, flex_directives_1.AisDirective, flex_directives_1.AsaDirective, flex_directives_1.AssDirective, flex_directives_1.AscDirective, flex_directives_1.AsfsDirective, flex_directives_1.AsfeDirective, flex_directives_1.AsfbDirective, flex_directives_1.AsiDirective, flex_directives_1.JccDirective, flex_directives_1.JcfeDirective, flex_directives_1.JcfsDirective, flex_directives_1.JcsaDirective, flex_directives_1.JcsbDirective, flex_directives_1.JcseDirective, flex_directives_1.FlexDirective, flex_directives_1.FlexShortDirective, flex_directives_1.FlexGrowDirective, flex_directives_1.FlexOrderDirective, flex_directives_1.FlexShrinkDirective, flex_directives_1.FbDirective, flex_directives_1.FdcDirective, flex_directives_1.FdcrDirective, flex_directives_1.FdrDirective, flex_directives_1.FdrrDirective, flex_directives_1.FffdDirective, flex_directives_1.FffwDirective, flex_directives_1.FnwDirective, flex_directives_1.FwDirective, flex_directives_1.FwrwDirective, font_directives_1.FontSizeDirective, font_directives_1.FontWeightDirective, font_directives_1.ColorDirective, font_directives_1.UnderlineDirective, font_directives_1.ItalicDirective, font_directives_1.LineHeightDirective, font_directives_1.TextOverflowDirective, font_directives_1.WhiteSpaceDirective, height_directives_1.HeightDirective, height_directives_1.MaxHeightDirective, height_directives_1.MinHeightDirective, margin_directives_1.MarginDirective, margin_directives_1.MarginBottomDirective, margin_directives_1.MarginTopDirective, margin_directives_1.MarginLeftDirective, margin_directives_1.MarginRightDirective, overflow_directives_1.OverflowDirective, overflow_directives_1.OverflowXDirective, overflow_directives_1.OverflowYDirective, padding_directives_1.PaddingDirective, padding_directives_1.PaddingBottomDirective, padding_directives_1.PaddingLeftDirective, padding_directives_1.PaddingRightDirective, padding_directives_1.PaddingTopDirective, position_directives_1.PositionDirective, position_directives_1.DisplayDirective, position_directives_1.FloatDirective, position_directives_1.ZIndexDirective, position_directives_1.LeftDirective, position_directives_1.RightDirective, position_directives_1.TopDirective, position_directives_1.BottomDirective, textAlign_directives_1.TextAlignCenterDirective, textAlign_directives_1.TextAlignLeftDirective, textAlign_directives_1.TextAlignRightDirective, width_directives_1.WidthDirective, width_directives_1.MaxWidthDirective, width_directives_1.MinWidthDirective, extra_directives_1.BlurDirective, extra_directives_1.OpacityDirective, extra_directives_1.TransformDirective, extra_directives_1.CursorDirective]],
        providers: [],
        exports: [background_directives_1.BackgroundColorDirective, background_directives_1.BackgroundDirective, background_directives_1.BackgroundSizeDirective, border_directives_1.BorderBottomColorDirective, border_directives_1.BorderBottomLeftRadiusDirective, border_directives_1.BorderBottomRightRadiusDirective, border_directives_1.BorderBottomWidthDirective, border_directives_1.BorderColorDirective, border_directives_1.BorderLeftColorDirective, border_directives_1.BorderLeftWidthDirective, border_directives_1.BorderRadiusDirective, border_directives_1.BorderRightColorDirective, border_directives_1.BorderRigthWidthDirective, border_directives_1.BorderTopColorDirective, border_directives_1.BorderTopLeftRadiusDirective, border_directives_1.BorderTopRightRadiusDirective, border_directives_1.BorderTopWidthDirective, border_directives_1.BorderWidthDirective, flex_directives_1.AibDirective, flex_directives_1.AicDirective, flex_directives_1.AifeDirective, flex_directives_1.AifsDirective, flex_directives_1.AisDirective, flex_directives_1.AsaDirective, flex_directives_1.AssDirective, flex_directives_1.AscDirective, flex_directives_1.AsfsDirective, flex_directives_1.AsfeDirective, flex_directives_1.AsfbDirective, flex_directives_1.AsiDirective, flex_directives_1.JccDirective, flex_directives_1.JcfeDirective, flex_directives_1.JcfsDirective, flex_directives_1.JcsaDirective, flex_directives_1.JcsbDirective, flex_directives_1.JcseDirective, flex_directives_1.FlexDirective, flex_directives_1.FlexGrowDirective, flex_directives_1.FlexOrderDirective, flex_directives_1.FlexShrinkDirective, flex_directives_1.FbDirective, flex_directives_1.FdcDirective, flex_directives_1.FdcrDirective, flex_directives_1.FdrDirective, flex_directives_1.FdrrDirective, flex_directives_1.FffdDirective, flex_directives_1.FffwDirective, flex_directives_1.FnwDirective, flex_directives_1.FwDirective, flex_directives_1.FwrwDirective, font_directives_1.FontSizeDirective, font_directives_1.FontWeightDirective, font_directives_1.ColorDirective, font_directives_1.ItalicDirective, font_directives_1.LineHeightDirective, font_directives_1.UnderlineDirective, font_directives_1.TextOverflowDirective, font_directives_1.WhiteSpaceDirective, height_directives_1.HeightDirective, height_directives_1.MaxHeightDirective, height_directives_1.MinHeightDirective, margin_directives_1.MarginDirective, margin_directives_1.MarginBottomDirective, margin_directives_1.MarginTopDirective, margin_directives_1.MarginLeftDirective, margin_directives_1.MarginRightDirective, overflow_directives_1.OverflowDirective, overflow_directives_1.OverflowXDirective, overflow_directives_1.OverflowYDirective, padding_directives_1.PaddingDirective, padding_directives_1.PaddingBottomDirective, padding_directives_1.PaddingLeftDirective, padding_directives_1.PaddingRightDirective, padding_directives_1.PaddingTopDirective, position_directives_1.PositionDirective, position_directives_1.DisplayDirective, position_directives_1.FloatDirective, position_directives_1.ZIndexDirective, position_directives_1.LeftDirective, position_directives_1.RightDirective, position_directives_1.TopDirective, position_directives_1.BottomDirective, textAlign_directives_1.TextAlignCenterDirective, textAlign_directives_1.TextAlignLeftDirective, textAlign_directives_1.TextAlignRightDirective, width_directives_1.WidthDirective, width_directives_1.MaxWidthDirective, width_directives_1.MinWidthDirective, extra_directives_1.BlurDirective, extra_directives_1.OpacityDirective, extra_directives_1.TransformDirective, extra_directives_1.CursorDirective]
    })], StyledComponentsModule);
    return StyledComponentsModule;
}();
exports.StyledComponentsModule = StyledComponentsModule;

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Background directives
 */
var BackgroundDirective = function () {
    function BackgroundDirective() {}
    Object.defineProperty(BackgroundDirective.prototype, "background", {
        set: function set(val) {
            this._background = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.background'), __metadata("design:type", String)], BackgroundDirective.prototype, "_background", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BackgroundDirective.prototype, "background", null);
    BackgroundDirective = __decorate([core_1.Directive({
        selector: '[background]'
    })], BackgroundDirective);
    return BackgroundDirective;
}();
exports.BackgroundDirective = BackgroundDirective;
var BackgroundColorDirective = function () {
    function BackgroundColorDirective() {}
    Object.defineProperty(BackgroundColorDirective.prototype, "backgroundColor", {
        set: function set(val) {
            this._backgroundColor = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.background-color'), __metadata("design:type", String)], BackgroundColorDirective.prototype, "_backgroundColor", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BackgroundColorDirective.prototype, "backgroundColor", null);
    BackgroundColorDirective = __decorate([core_1.Directive({
        selector: '[backgroundColor]'
    })], BackgroundColorDirective);
    return BackgroundColorDirective;
}();
exports.BackgroundColorDirective = BackgroundColorDirective;
var BackgroundSizeDirective = function () {
    function BackgroundSizeDirective() {}
    Object.defineProperty(BackgroundSizeDirective.prototype, "backgroundSize", {
        set: function set(val) {
            this._backgroundSize = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.background-size'), __metadata("design:type", String)], BackgroundSizeDirective.prototype, "_backgroundSize", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BackgroundSizeDirective.prototype, "backgroundSize", null);
    BackgroundSizeDirective = __decorate([core_1.Directive({
        selector: '[backgroundSize]'
    })], BackgroundSizeDirective);
    return BackgroundSizeDirective;
}();
exports.BackgroundSizeDirective = BackgroundSizeDirective;

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Border color directives
 */
var BorderColorDirective = function () {
    function BorderColorDirective() {}
    Object.defineProperty(BorderColorDirective.prototype, "borderColor", {
        set: function set(val) {
            this._borderColor = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-color'), __metadata("design:type", String)], BorderColorDirective.prototype, "_borderColor", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BorderColorDirective.prototype, "borderColor", null);
    BorderColorDirective = __decorate([core_1.Directive({
        selector: '[borderColor]'
    })], BorderColorDirective);
    return BorderColorDirective;
}();
exports.BorderColorDirective = BorderColorDirective;
var BorderTopColorDirective = function () {
    function BorderTopColorDirective() {}
    Object.defineProperty(BorderTopColorDirective.prototype, "borderTopColor", {
        set: function set(val) {
            this._borderTopColor = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-top-color'), __metadata("design:type", String)], BorderTopColorDirective.prototype, "_borderTopColor", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BorderTopColorDirective.prototype, "borderTopColor", null);
    BorderTopColorDirective = __decorate([core_1.Directive({
        selector: '[borderTopColor]'
    })], BorderTopColorDirective);
    return BorderTopColorDirective;
}();
exports.BorderTopColorDirective = BorderTopColorDirective;
var BorderBottomColorDirective = function () {
    function BorderBottomColorDirective() {}
    Object.defineProperty(BorderBottomColorDirective.prototype, "borderBottomColor", {
        set: function set(val) {
            this._borderBottomColor = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-bottom-color'), __metadata("design:type", String)], BorderBottomColorDirective.prototype, "_borderBottomColor", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BorderBottomColorDirective.prototype, "borderBottomColor", null);
    BorderBottomColorDirective = __decorate([core_1.Directive({
        selector: '[borderBottomColor]'
    })], BorderBottomColorDirective);
    return BorderBottomColorDirective;
}();
exports.BorderBottomColorDirective = BorderBottomColorDirective;
var BorderLeftColorDirective = function () {
    function BorderLeftColorDirective() {}
    Object.defineProperty(BorderLeftColorDirective.prototype, "borderLeftColor", {
        set: function set(val) {
            this._borderLeftColor = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-left-color'), __metadata("design:type", String)], BorderLeftColorDirective.prototype, "_borderLeftColor", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BorderLeftColorDirective.prototype, "borderLeftColor", null);
    BorderLeftColorDirective = __decorate([core_1.Directive({
        selector: '[borderLeftColor]'
    })], BorderLeftColorDirective);
    return BorderLeftColorDirective;
}();
exports.BorderLeftColorDirective = BorderLeftColorDirective;
var BorderRightColorDirective = function () {
    function BorderRightColorDirective() {}
    Object.defineProperty(BorderRightColorDirective.prototype, "borderRightColor", {
        set: function set(val) {
            this._borderRightColor = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-right-color'), __metadata("design:type", String)], BorderRightColorDirective.prototype, "_borderRightColor", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BorderRightColorDirective.prototype, "borderRightColor", null);
    BorderRightColorDirective = __decorate([core_1.Directive({
        selector: '[borderRightColor]'
    })], BorderRightColorDirective);
    return BorderRightColorDirective;
}();
exports.BorderRightColorDirective = BorderRightColorDirective;
/**
 * Border width directives
 */
var BorderWidthDirective = function () {
    function BorderWidthDirective() {}
    Object.defineProperty(BorderWidthDirective.prototype, "borderWidth", {
        set: function set(val) {
            this._borderWidth = format_1.format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-width'), __metadata("design:type", String)], BorderWidthDirective.prototype, "_borderWidth", void 0);
    __decorate([core_1.HostBinding('style.border-style'), __metadata("design:type", String)], BorderWidthDirective.prototype, "_borderStyle", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderWidthDirective.prototype, "borderWidth", null);
    BorderWidthDirective = __decorate([core_1.Directive({
        selector: '[borderWidth]'
    })], BorderWidthDirective);
    return BorderWidthDirective;
}();
exports.BorderWidthDirective = BorderWidthDirective;
var BorderTopWidthDirective = function () {
    function BorderTopWidthDirective() {}
    Object.defineProperty(BorderTopWidthDirective.prototype, "borderTopWidth", {
        set: function set(val) {
            this._borderTopWidth = format_1.format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-top-width'), __metadata("design:type", String)], BorderTopWidthDirective.prototype, "_borderTopWidth", void 0);
    __decorate([core_1.HostBinding('style.border-top-style'), __metadata("design:type", String)], BorderTopWidthDirective.prototype, "_borderStyle", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderTopWidthDirective.prototype, "borderTopWidth", null);
    BorderTopWidthDirective = __decorate([core_1.Directive({
        selector: '[borderTopWidth]'
    })], BorderTopWidthDirective);
    return BorderTopWidthDirective;
}();
exports.BorderTopWidthDirective = BorderTopWidthDirective;
var BorderBottomWidthDirective = function () {
    function BorderBottomWidthDirective() {}
    Object.defineProperty(BorderBottomWidthDirective.prototype, "borderBottomWidth", {
        set: function set(val) {
            this._borderBottomWidth = format_1.format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-bottom-width'), __metadata("design:type", String)], BorderBottomWidthDirective.prototype, "_borderBottomWidth", void 0);
    __decorate([core_1.HostBinding('style.border-bottom-style'), __metadata("design:type", String)], BorderBottomWidthDirective.prototype, "_borderStyle", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderBottomWidthDirective.prototype, "borderBottomWidth", null);
    BorderBottomWidthDirective = __decorate([core_1.Directive({
        selector: '[borderBottomWidth]'
    })], BorderBottomWidthDirective);
    return BorderBottomWidthDirective;
}();
exports.BorderBottomWidthDirective = BorderBottomWidthDirective;
var BorderLeftWidthDirective = function () {
    function BorderLeftWidthDirective() {}
    Object.defineProperty(BorderLeftWidthDirective.prototype, "borderLeftWidth", {
        set: function set(val) {
            this._borderLeftWidth = format_1.format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-left-width'), __metadata("design:type", String)], BorderLeftWidthDirective.prototype, "_borderLeftWidth", void 0);
    __decorate([core_1.HostBinding('style.border-left-style'), __metadata("design:type", String)], BorderLeftWidthDirective.prototype, "_borderStyle", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderLeftWidthDirective.prototype, "borderLeftWidth", null);
    BorderLeftWidthDirective = __decorate([core_1.Directive({
        selector: '[borderLeftWidth]'
    })], BorderLeftWidthDirective);
    return BorderLeftWidthDirective;
}();
exports.BorderLeftWidthDirective = BorderLeftWidthDirective;
var BorderRigthWidthDirective = function () {
    function BorderRigthWidthDirective() {}
    Object.defineProperty(BorderRigthWidthDirective.prototype, "borderRigthWidth", {
        set: function set(val) {
            this._borderRigthWidth = format_1.format(val);
            this._borderStyle = 'solid';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-rigth-width'), __metadata("design:type", String)], BorderRigthWidthDirective.prototype, "_borderRigthWidth", void 0);
    __decorate([core_1.HostBinding('style.border-right-style'), __metadata("design:type", String)], BorderRigthWidthDirective.prototype, "_borderStyle", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderRigthWidthDirective.prototype, "borderRigthWidth", null);
    BorderRigthWidthDirective = __decorate([core_1.Directive({
        selector: '[borderRigthWidth]'
    })], BorderRigthWidthDirective);
    return BorderRigthWidthDirective;
}();
exports.BorderRigthWidthDirective = BorderRigthWidthDirective;
/***
 * Border radius props
 */
var BorderRadiusDirective = function () {
    function BorderRadiusDirective() {}
    Object.defineProperty(BorderRadiusDirective.prototype, "borderRadius", {
        set: function set(val) {
            this._borderRadius = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-radius'), __metadata("design:type", String)], BorderRadiusDirective.prototype, "_borderRadius", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderRadiusDirective.prototype, "borderRadius", null);
    BorderRadiusDirective = __decorate([core_1.Directive({
        selector: '[borderRadius]'
    })], BorderRadiusDirective);
    return BorderRadiusDirective;
}();
exports.BorderRadiusDirective = BorderRadiusDirective;
var BorderTopLeftRadiusDirective = function () {
    function BorderTopLeftRadiusDirective() {}
    Object.defineProperty(BorderTopLeftRadiusDirective.prototype, "borderTopLeftRadius", {
        set: function set(val) {
            this._borderTopLeft = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-top-left-radius'), __metadata("design:type", String)], BorderTopLeftRadiusDirective.prototype, "_borderTopLeft", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderTopLeftRadiusDirective.prototype, "borderTopLeftRadius", null);
    BorderTopLeftRadiusDirective = __decorate([core_1.Directive({
        selector: '[borderTopLeftRadius]'
    })], BorderTopLeftRadiusDirective);
    return BorderTopLeftRadiusDirective;
}();
exports.BorderTopLeftRadiusDirective = BorderTopLeftRadiusDirective;
var BorderTopRightRadiusDirective = function () {
    function BorderTopRightRadiusDirective() {}
    Object.defineProperty(BorderTopRightRadiusDirective.prototype, "borderTopRightRadius", {
        set: function set(val) {
            this._borderTopRight = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-top-right-radius'), __metadata("design:type", String)], BorderTopRightRadiusDirective.prototype, "_borderTopRight", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderTopRightRadiusDirective.prototype, "borderTopRightRadius", null);
    BorderTopRightRadiusDirective = __decorate([core_1.Directive({
        selector: '[borderTopRightRadius]'
    })], BorderTopRightRadiusDirective);
    return BorderTopRightRadiusDirective;
}();
exports.BorderTopRightRadiusDirective = BorderTopRightRadiusDirective;
var BorderBottomLeftRadiusDirective = function () {
    function BorderBottomLeftRadiusDirective() {}
    Object.defineProperty(BorderBottomLeftRadiusDirective.prototype, "borderBottomLeftRadius", {
        set: function set(val) {
            this._borderBottomLeft = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-bottom-left-radius'), __metadata("design:type", String)], BorderBottomLeftRadiusDirective.prototype, "_borderBottomLeft", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderBottomLeftRadiusDirective.prototype, "borderBottomLeftRadius", null);
    BorderBottomLeftRadiusDirective = __decorate([core_1.Directive({
        selector: '[borderBottomLeftRadius]'
    })], BorderBottomLeftRadiusDirective);
    return BorderBottomLeftRadiusDirective;
}();
exports.BorderBottomLeftRadiusDirective = BorderBottomLeftRadiusDirective;
var BorderBottomRightRadiusDirective = function () {
    function BorderBottomRightRadiusDirective() {}
    Object.defineProperty(BorderBottomRightRadiusDirective.prototype, "borderBottomRightRadius", {
        set: function set(val) {
            this._borderBottomRight = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.border-bottom-right-radius'), __metadata("design:type", String)], BorderBottomRightRadiusDirective.prototype, "_borderBottomRight", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BorderBottomRightRadiusDirective.prototype, "borderBottomRightRadius", null);
    BorderBottomRightRadiusDirective = __decorate([core_1.Directive({
        selector: '[borderBottomRightRadius]'
    })], BorderBottomRightRadiusDirective);
    return BorderBottomRightRadiusDirective;
}();
exports.BorderBottomRightRadiusDirective = BorderBottomRightRadiusDirective;

/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Extra directives
 */
var CursorDirective = function () {
    function CursorDirective() {}
    Object.defineProperty(CursorDirective.prototype, "cursor", {
        set: function set(val) {
            this._cursor = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.cursor'), __metadata("design:type", String)], CursorDirective.prototype, "_cursor", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], CursorDirective.prototype, "cursor", null);
    CursorDirective = __decorate([core_1.Directive({
        selector: '[cursor]'
    })], CursorDirective);
    return CursorDirective;
}();
exports.CursorDirective = CursorDirective;
var BlurDirective = function () {
    function BlurDirective() {}
    Object.defineProperty(BlurDirective.prototype, "blur", {
        set: function set(val) {
            this._blur = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.blur'), __metadata("design:type", String)], BlurDirective.prototype, "_blur", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], BlurDirective.prototype, "blur", null);
    BlurDirective = __decorate([core_1.Directive({
        selector: '[blur]'
    })], BlurDirective);
    return BlurDirective;
}();
exports.BlurDirective = BlurDirective;
var OpacityDirective = function () {
    function OpacityDirective() {}
    Object.defineProperty(OpacityDirective.prototype, "opacity", {
        set: function set(val) {
            this._opacity = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.opacity'), __metadata("design:type", String)], OpacityDirective.prototype, "_opacity", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], OpacityDirective.prototype, "opacity", null);
    OpacityDirective = __decorate([core_1.Directive({
        selector: '[opacity]'
    })], OpacityDirective);
    return OpacityDirective;
}();
exports.OpacityDirective = OpacityDirective;
var TransformDirective = function () {
    function TransformDirective() {}
    Object.defineProperty(TransformDirective.prototype, "transform", {
        set: function set(val) {
            this._transform = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.transform'), __metadata("design:type", String)], TransformDirective.prototype, "_transform", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], TransformDirective.prototype, "transform", null);
    TransformDirective = __decorate([core_1.Directive({
        selector: '[transform]'
    })], TransformDirective);
    return TransformDirective;
}();
exports.TransformDirective = TransformDirective;
/***
 * Not working --> only with DOMSanitizer.bypassSecurityTrustStyle
 * This will override all styles, preventing other style items to be set
 */
// @Directive({
//   selector: '[boxShadow]'
// })
// export class BoxShadowDirective {
//   @HostBinding('style.box-shadow') _boxShadow: string;
//   @Input()
//   public set boxShadow(val: string) {
//     this._boxShadow = val;
//   }
// }

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Flex direction directives
 */
var FdrDirective = function () {
    function FdrDirective(el) {
        this.display = 'flex';
        this.fdr = 'row';
    }
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], FdrDirective.prototype, "display", void 0);
    __decorate([core_1.HostBinding('style.flex-direction'), __metadata("design:type", String)], FdrDirective.prototype, "fdr", void 0);
    FdrDirective = __decorate([core_1.Directive({
        selector: '[fdr]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FdrDirective);
    return FdrDirective;
}();
exports.FdrDirective = FdrDirective;
var FdcDirective = function () {
    function FdcDirective(el) {
        this.display = 'flex';
        this.fdr = 'column';
    }
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], FdcDirective.prototype, "display", void 0);
    __decorate([core_1.HostBinding('style.flex-direction'), __metadata("design:type", String)], FdcDirective.prototype, "fdr", void 0);
    FdcDirective = __decorate([core_1.Directive({
        selector: '[fdc]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FdcDirective);
    return FdcDirective;
}();
exports.FdcDirective = FdcDirective;
var FdrrDirective = function () {
    function FdrrDirective(el) {
        this.display = 'flex';
        this.fdr = 'row-reverse';
    }
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], FdrrDirective.prototype, "display", void 0);
    __decorate([core_1.HostBinding('style.flex-direction'), __metadata("design:type", String)], FdrrDirective.prototype, "fdr", void 0);
    FdrrDirective = __decorate([core_1.Directive({
        selector: '[fdrr]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FdrrDirective);
    return FdrrDirective;
}();
exports.FdrrDirective = FdrrDirective;
var FdcrDirective = function () {
    function FdcrDirective(el) {
        this.display = 'flex';
        this.fdr = 'column-reverse';
    }
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], FdcrDirective.prototype, "display", void 0);
    __decorate([core_1.HostBinding('style.flex-direction'), __metadata("design:type", String)], FdcrDirective.prototype, "fdr", void 0);
    FdcrDirective = __decorate([core_1.Directive({
        selector: '[fdcr]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FdcrDirective);
    return FdcrDirective;
}();
exports.FdcrDirective = FdcrDirective;
/**
 * Flex wrap directives
 */
var FwDirective = function () {
    function FwDirective(el) {
        this.fw = 'wrap';
    }
    __decorate([core_1.HostBinding('style.flex-wrap'), __metadata("design:type", String)], FwDirective.prototype, "fw", void 0);
    FwDirective = __decorate([core_1.Directive({
        selector: '[fw]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FwDirective);
    return FwDirective;
}();
exports.FwDirective = FwDirective;
var FnwDirective = function () {
    function FnwDirective(el) {
        this.fw = 'nowrap';
    }
    __decorate([core_1.HostBinding('style.flex-wrap'), __metadata("design:type", String)], FnwDirective.prototype, "fw", void 0);
    FnwDirective = __decorate([core_1.Directive({
        selector: '[fnw]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FnwDirective);
    return FnwDirective;
}();
exports.FnwDirective = FnwDirective;
var FwrwDirective = function () {
    function FwrwDirective(el) {
        this.fw = 'wrap-reverse';
    }
    __decorate([core_1.HostBinding('style.flex-wrap'), __metadata("design:type", String)], FwrwDirective.prototype, "fw", void 0);
    FwrwDirective = __decorate([core_1.Directive({
        selector: '[fwr]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FwrwDirective);
    return FwrwDirective;
}();
exports.FwrwDirective = FwrwDirective;
/***
 * Flex flow directives
 */
var FffdDirective = function () {
    function FffdDirective(el) {
        this.ff = 'flex-direction';
    }
    __decorate([core_1.HostBinding('style.flex-flwo'), __metadata("design:type", String)], FffdDirective.prototype, "ff", void 0);
    FffdDirective = __decorate([core_1.Directive({
        selector: '[fffd]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FffdDirective);
    return FffdDirective;
}();
exports.FffdDirective = FffdDirective;
var FffwDirective = function () {
    function FffwDirective(el) {
        this.ff = 'flex-wrap';
    }
    __decorate([core_1.HostBinding('style.flex-flwo'), __metadata("design:type", String)], FffwDirective.prototype, "ff", void 0);
    FffwDirective = __decorate([core_1.Directive({
        selector: '[fffw]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], FffwDirective);
    return FffwDirective;
}();
exports.FffwDirective = FffwDirective;
/**
 * Flex basis directives
 */
var FbDirective = function () {
    function FbDirective() {
        this._fb = 'auto';
    }
    Object.defineProperty(FbDirective.prototype, "fb", {
        set: function set(val) {
            this._fb = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.flex-basis'), __metadata("design:type", Object)], FbDirective.prototype, "_fb", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], FbDirective.prototype, "fb", null);
    FbDirective = __decorate([core_1.Directive({
        selector: '[fb]'
    })], FbDirective);
    return FbDirective;
}();
exports.FbDirective = FbDirective;
/***
 * Justify content directives
 */
var JcsaDirective = function () {
    function JcsaDirective(el) {
        this.jc = 'space-around';
        this.display = 'flex';
    }
    __decorate([core_1.HostBinding('style.justify-content'), __metadata("design:type", String)], JcsaDirective.prototype, "jc", void 0);
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], JcsaDirective.prototype, "display", void 0);
    JcsaDirective = __decorate([core_1.Directive({
        selector: '[jcsa]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], JcsaDirective);
    return JcsaDirective;
}();
exports.JcsaDirective = JcsaDirective;
var JcsbDirective = function () {
    function JcsbDirective(el) {
        this.jc = 'space-between';
        this.display = 'flex';
    }
    __decorate([core_1.HostBinding('style.justify-content'), __metadata("design:type", String)], JcsbDirective.prototype, "jc", void 0);
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], JcsbDirective.prototype, "display", void 0);
    JcsbDirective = __decorate([core_1.Directive({
        selector: '[jcsb]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], JcsbDirective);
    return JcsbDirective;
}();
exports.JcsbDirective = JcsbDirective;
var JccDirective = function () {
    function JccDirective(el) {
        this.jc = 'center';
        this.display = 'flex';
    }
    __decorate([core_1.HostBinding('style.justify-content'), __metadata("design:type", String)], JccDirective.prototype, "jc", void 0);
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], JccDirective.prototype, "display", void 0);
    JccDirective = __decorate([core_1.Directive({
        selector: '[jcc]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], JccDirective);
    return JccDirective;
}();
exports.JccDirective = JccDirective;
var JcfeDirective = function () {
    function JcfeDirective(el) {
        this.jc = 'flex-end';
        this.display = 'flex';
    }
    __decorate([core_1.HostBinding('style.justify-content'), __metadata("design:type", String)], JcfeDirective.prototype, "jc", void 0);
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], JcfeDirective.prototype, "display", void 0);
    JcfeDirective = __decorate([core_1.Directive({
        selector: '[jcfe]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], JcfeDirective);
    return JcfeDirective;
}();
exports.JcfeDirective = JcfeDirective;
var JcfsDirective = function () {
    function JcfsDirective(el) {
        this.jc = 'flex-start';
        this.display = 'flex';
    }
    __decorate([core_1.HostBinding('style.justify-content'), __metadata("design:type", String)], JcfsDirective.prototype, "jc", void 0);
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], JcfsDirective.prototype, "display", void 0);
    JcfsDirective = __decorate([core_1.Directive({
        selector: '[jcfs]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], JcfsDirective);
    return JcfsDirective;
}();
exports.JcfsDirective = JcfsDirective;
var JcseDirective = function () {
    function JcseDirective(el) {
        this.jc = 'space-evenly';
        this.display = 'flex';
    }
    __decorate([core_1.HostBinding('style.justify-content'), __metadata("design:type", String)], JcseDirective.prototype, "jc", void 0);
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], JcseDirective.prototype, "display", void 0);
    JcseDirective = __decorate([core_1.Directive({
        selector: '[jcse]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], JcseDirective);
    return JcseDirective;
}();
exports.JcseDirective = JcseDirective;
/***
 * Align items directives
 */
var AibDirective = function () {
    function AibDirective(el) {
        this.ai = 'baseline';
    }
    __decorate([core_1.HostBinding('style.align-items'), __metadata("design:type", String)], AibDirective.prototype, "ai", void 0);
    AibDirective = __decorate([core_1.Directive({
        selector: '[aib]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AibDirective);
    return AibDirective;
}();
exports.AibDirective = AibDirective;
var AicDirective = function () {
    function AicDirective(el) {
        this.ai = 'center';
    }
    __decorate([core_1.HostBinding('style.align-items'), __metadata("design:type", String)], AicDirective.prototype, "ai", void 0);
    AicDirective = __decorate([core_1.Directive({
        selector: '[aic]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AicDirective);
    return AicDirective;
}();
exports.AicDirective = AicDirective;
var AifeDirective = function () {
    function AifeDirective(el) {
        this.ai = 'flex-end';
    }
    __decorate([core_1.HostBinding('style.align-items'), __metadata("design:type", String)], AifeDirective.prototype, "ai", void 0);
    AifeDirective = __decorate([core_1.Directive({
        selector: '[aife]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AifeDirective);
    return AifeDirective;
}();
exports.AifeDirective = AifeDirective;
var AifsDirective = function () {
    function AifsDirective(el) {
        this.ai = 'flex-start';
    }
    __decorate([core_1.HostBinding('style.align-items'), __metadata("design:type", String)], AifsDirective.prototype, "ai", void 0);
    AifsDirective = __decorate([core_1.Directive({
        selector: '[aifs]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AifsDirective);
    return AifsDirective;
}();
exports.AifsDirective = AifsDirective;
var AisDirective = function () {
    function AisDirective(el) {
        this.ais = 'stretch';
    }
    __decorate([core_1.HostBinding('style.align-items'), __metadata("design:type", String)], AisDirective.prototype, "ais", void 0);
    AisDirective = __decorate([core_1.Directive({
        selector: '[ais]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AisDirective);
    return AisDirective;
}();
exports.AisDirective = AisDirective;
var AsaDirective = function () {
    function AsaDirective(el) {
        this.asa = 'auto';
    }
    __decorate([core_1.HostBinding('style.align-self'), __metadata("design:type", String)], AsaDirective.prototype, "asa", void 0);
    AsaDirective = __decorate([core_1.Directive({
        selector: '[asa]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AsaDirective);
    return AsaDirective;
}();
exports.AsaDirective = AsaDirective;
var AssDirective = function () {
    function AssDirective(el) {
        this.ass = 'strecth';
    }
    __decorate([core_1.HostBinding('style.align-self'), __metadata("design:type", String)], AssDirective.prototype, "ass", void 0);
    AssDirective = __decorate([core_1.Directive({
        selector: '[ass]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AssDirective);
    return AssDirective;
}();
exports.AssDirective = AssDirective;
var AscDirective = function () {
    function AscDirective(el) {
        this.asc = 'center';
    }
    __decorate([core_1.HostBinding('style.align-self'), __metadata("design:type", String)], AscDirective.prototype, "asc", void 0);
    AscDirective = __decorate([core_1.Directive({
        selector: '[asc]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AscDirective);
    return AscDirective;
}();
exports.AscDirective = AscDirective;
var AsfsDirective = function () {
    function AsfsDirective(el) {
        this.asfs = 'flex-start';
    }
    __decorate([core_1.HostBinding('style.align-self'), __metadata("design:type", String)], AsfsDirective.prototype, "asfs", void 0);
    AsfsDirective = __decorate([core_1.Directive({
        selector: '[asfs]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AsfsDirective);
    return AsfsDirective;
}();
exports.AsfsDirective = AsfsDirective;
var AsfeDirective = function () {
    function AsfeDirective(el) {
        this.asfe = 'flex-end';
    }
    __decorate([core_1.HostBinding('style.align-self'), __metadata("design:type", String)], AsfeDirective.prototype, "asfe", void 0);
    AsfeDirective = __decorate([core_1.Directive({
        selector: '[asfe]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AsfeDirective);
    return AsfeDirective;
}();
exports.AsfeDirective = AsfeDirective;
var AsfbDirective = function () {
    function AsfbDirective(el) {
        this.asfb = 'baseline';
    }
    __decorate([core_1.HostBinding('style.align-self'), __metadata("design:type", String)], AsfbDirective.prototype, "asfb", void 0);
    AsfbDirective = __decorate([core_1.Directive({
        selector: '[asfb]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AsfbDirective);
    return AsfbDirective;
}();
exports.AsfbDirective = AsfbDirective;
var AsiDirective = function () {
    function AsiDirective(el) {
        this.asi = 'intial';
    }
    __decorate([core_1.HostBinding('style.align-self'), __metadata("design:type", String)], AsiDirective.prototype, "asi", void 0);
    AsiDirective = __decorate([core_1.Directive({
        selector: '[asi]'
    }), __metadata("design:paramtypes", [core_1.ElementRef])], AsiDirective);
    return AsiDirective;
}();
exports.AsiDirective = AsiDirective;
/**
 * General flex directives
 */
var FlexShortDirective = function () {
    function FlexShortDirective() {}
    Object.defineProperty(FlexShortDirective.prototype, "flexShort", {
        set: function set(val) {
            this._flex = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.flex-short'), __metadata("design:type", String)], FlexShortDirective.prototype, "_flex", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], FlexShortDirective.prototype, "flexShort", null);
    FlexShortDirective = __decorate([core_1.Directive({
        selector: '[flexShort]'
    })], FlexShortDirective);
    return FlexShortDirective;
}();
exports.FlexShortDirective = FlexShortDirective;
var FlexGrowDirective = function () {
    function FlexGrowDirective() {}
    Object.defineProperty(FlexGrowDirective.prototype, "flexGrow", {
        set: function set(val) {
            this.fg = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.flex-grow'), __metadata("design:type", String)], FlexGrowDirective.prototype, "fg", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], FlexGrowDirective.prototype, "flexGrow", null);
    FlexGrowDirective = __decorate([core_1.Directive({
        selector: '[flexGrow]'
    })], FlexGrowDirective);
    return FlexGrowDirective;
}();
exports.FlexGrowDirective = FlexGrowDirective;
var FlexDirective = function () {
    function FlexDirective() {}
    Object.defineProperty(FlexDirective.prototype, "flex", {
        set: function set(val) {
            this.fl = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.flex'), __metadata("design:type", String)], FlexDirective.prototype, "fl", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], FlexDirective.prototype, "flex", null);
    FlexDirective = __decorate([core_1.Directive({
        selector: '[flex]'
    })], FlexDirective);
    return FlexDirective;
}();
exports.FlexDirective = FlexDirective;
var FlexShrinkDirective = function () {
    function FlexShrinkDirective() {}
    Object.defineProperty(FlexShrinkDirective.prototype, "flexShrink", {
        set: function set(val) {
            this.fs = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.flex-shrink'), __metadata("design:type", String)], FlexShrinkDirective.prototype, "fs", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], FlexShrinkDirective.prototype, "flexShrink", null);
    FlexShrinkDirective = __decorate([core_1.Directive({
        selector: '[flexShrink]'
    })], FlexShrinkDirective);
    return FlexShrinkDirective;
}();
exports.FlexShrinkDirective = FlexShrinkDirective;
var FlexOrderDirective = function () {
    function FlexOrderDirective() {}
    Object.defineProperty(FlexOrderDirective.prototype, "order", {
        set: function set(val) {
            this._order = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.order'), __metadata("design:type", String)], FlexOrderDirective.prototype, "_order", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], FlexOrderDirective.prototype, "order", null);
    FlexOrderDirective = __decorate([core_1.Directive({
        selector: '[order]'
    })], FlexOrderDirective);
    return FlexOrderDirective;
}();
exports.FlexOrderDirective = FlexOrderDirective;

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Font directives
 */
var ColorDirective = function () {
    function ColorDirective() {}
    Object.defineProperty(ColorDirective.prototype, "color", {
        set: function set(val) {
            this._color = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.color'), __metadata("design:type", String)], ColorDirective.prototype, "_color", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], ColorDirective.prototype, "color", null);
    ColorDirective = __decorate([core_1.Directive({
        selector: '[color]'
    })], ColorDirective);
    return ColorDirective;
}();
exports.ColorDirective = ColorDirective;
var FontSizeDirective = function () {
    function FontSizeDirective() {}
    Object.defineProperty(FontSizeDirective.prototype, "fontSize", {
        set: function set(val) {
            this._fontSize = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.font-size'), __metadata("design:type", String)], FontSizeDirective.prototype, "_fontSize", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], FontSizeDirective.prototype, "fontSize", null);
    FontSizeDirective = __decorate([core_1.Directive({
        selector: '[fontSize]'
    })], FontSizeDirective);
    return FontSizeDirective;
}();
exports.FontSizeDirective = FontSizeDirective;
var FontWeightDirective = function () {
    function FontWeightDirective() {}
    Object.defineProperty(FontWeightDirective.prototype, "fontWeight", {
        set: function set(val) {
            this._fontWeight = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.font-weight'), __metadata("design:type", String)], FontWeightDirective.prototype, "_fontWeight", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], FontWeightDirective.prototype, "fontWeight", null);
    FontWeightDirective = __decorate([core_1.Directive({
        selector: '[fontWeight]'
    })], FontWeightDirective);
    return FontWeightDirective;
}();
exports.FontWeightDirective = FontWeightDirective;
var UnderlineDirective = function () {
    function UnderlineDirective() {}
    Object.defineProperty(UnderlineDirective.prototype, "underline", {
        set: function set(val) {
            if (val !== null && "" + val !== 'false') {
                this._underline = 'underline';
            }
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.textDecoration'), __metadata("design:type", String)], UnderlineDirective.prototype, "_underline", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], UnderlineDirective.prototype, "underline", null);
    UnderlineDirective = __decorate([core_1.Directive({
        selector: '[underline]'
    })], UnderlineDirective);
    return UnderlineDirective;
}();
exports.UnderlineDirective = UnderlineDirective;
var ItalicDirective = function () {
    function ItalicDirective() {}
    Object.defineProperty(ItalicDirective.prototype, "italic", {
        set: function set(val) {
            if (val !== null && "" + val !== 'false') {
                this.fontStyle = 'italic';
            }
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.fontStyle'), __metadata("design:type", String)], ItalicDirective.prototype, "fontStyle", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], ItalicDirective.prototype, "italic", null);
    ItalicDirective = __decorate([core_1.Directive({
        selector: '[italic]'
    })], ItalicDirective);
    return ItalicDirective;
}();
exports.ItalicDirective = ItalicDirective;
var LineHeightDirective = function () {
    function LineHeightDirective() {}
    Object.defineProperty(LineHeightDirective.prototype, "lineHeight", {
        set: function set(val) {
            this._lineHeight = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.lineHeight'), __metadata("design:type", String)], LineHeightDirective.prototype, "_lineHeight", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], LineHeightDirective.prototype, "lineHeight", null);
    LineHeightDirective = __decorate([core_1.Directive({
        selector: '[lineHeight]'
    })], LineHeightDirective);
    return LineHeightDirective;
}();
exports.LineHeightDirective = LineHeightDirective;
var WhiteSpaceDirective = function () {
    function WhiteSpaceDirective() {}
    Object.defineProperty(WhiteSpaceDirective.prototype, "whiteSpace", {
        set: function set(val) {
            if (val !== null && "" + val !== 'false') {
                this._whiteSpace = val;
            }
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.white-space'), __metadata("design:type", String)], WhiteSpaceDirective.prototype, "_whiteSpace", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], WhiteSpaceDirective.prototype, "whiteSpace", null);
    WhiteSpaceDirective = __decorate([core_1.Directive({
        selector: '[whiteSpace]'
    })], WhiteSpaceDirective);
    return WhiteSpaceDirective;
}();
exports.WhiteSpaceDirective = WhiteSpaceDirective;
var TextOverflowDirective = function () {
    function TextOverflowDirective() {}
    Object.defineProperty(TextOverflowDirective.prototype, "textOverflow", {
        set: function set(val) {
            this._textOverflow = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.text-overflow'), __metadata("design:type", String)], TextOverflowDirective.prototype, "_textOverflow", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], TextOverflowDirective.prototype, "textOverflow", null);
    TextOverflowDirective = __decorate([core_1.Directive({
        selector: '[textOverflow]'
    })], TextOverflowDirective);
    return TextOverflowDirective;
}();
exports.TextOverflowDirective = TextOverflowDirective;

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Height directives
 */
var HeightDirective = function () {
    function HeightDirective() {}
    Object.defineProperty(HeightDirective.prototype, "height", {
        set: function set(val) {
            this._height = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.height'), __metadata("design:type", String)], HeightDirective.prototype, "_height", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], HeightDirective.prototype, "height", null);
    HeightDirective = __decorate([core_1.Directive({
        selector: '[height]'
    })], HeightDirective);
    return HeightDirective;
}();
exports.HeightDirective = HeightDirective;
var MaxHeightDirective = function () {
    function MaxHeightDirective() {}
    Object.defineProperty(MaxHeightDirective.prototype, "maxHeight", {
        set: function set(val) {
            this._maxHeight = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.max-height'), __metadata("design:type", String)], MaxHeightDirective.prototype, "_maxHeight", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MaxHeightDirective.prototype, "maxHeight", null);
    MaxHeightDirective = __decorate([core_1.Directive({
        selector: '[maxHeight]'
    })], MaxHeightDirective);
    return MaxHeightDirective;
}();
exports.MaxHeightDirective = MaxHeightDirective;
var MinHeightDirective = function () {
    function MinHeightDirective() {}
    Object.defineProperty(MinHeightDirective.prototype, "minHeight", {
        set: function set(val) {
            this._minHeight = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.min-height'), __metadata("design:type", String)], MinHeightDirective.prototype, "_minHeight", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MinHeightDirective.prototype, "minHeight", null);
    MinHeightDirective = __decorate([core_1.Directive({
        selector: '[minHeight]'
    })], MinHeightDirective);
    return MinHeightDirective;
}();
exports.MinHeightDirective = MinHeightDirective;

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Margin directives
 */
var MarginDirective = function () {
    function MarginDirective() {}
    Object.defineProperty(MarginDirective.prototype, "margin", {
        set: function set(val) {
            this._margin = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.margin'), __metadata("design:type", String)], MarginDirective.prototype, "_margin", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MarginDirective.prototype, "margin", null);
    MarginDirective = __decorate([core_1.Directive({
        selector: '[margin]'
    })], MarginDirective);
    return MarginDirective;
}();
exports.MarginDirective = MarginDirective;
var MarginLeftDirective = function () {
    function MarginLeftDirective() {}
    Object.defineProperty(MarginLeftDirective.prototype, "marginLeft", {
        set: function set(val) {
            this._marginLeft = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.margin-left'), __metadata("design:type", String)], MarginLeftDirective.prototype, "_marginLeft", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MarginLeftDirective.prototype, "marginLeft", null);
    MarginLeftDirective = __decorate([core_1.Directive({
        selector: '[marginLeft]'
    })], MarginLeftDirective);
    return MarginLeftDirective;
}();
exports.MarginLeftDirective = MarginLeftDirective;
var MarginRightDirective = function () {
    function MarginRightDirective() {}
    Object.defineProperty(MarginRightDirective.prototype, "marginRight", {
        set: function set(val) {
            this._marginRight = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.margin-right'), __metadata("design:type", String)], MarginRightDirective.prototype, "_marginRight", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MarginRightDirective.prototype, "marginRight", null);
    MarginRightDirective = __decorate([core_1.Directive({
        selector: '[marginRight]'
    })], MarginRightDirective);
    return MarginRightDirective;
}();
exports.MarginRightDirective = MarginRightDirective;
var MarginTopDirective = function () {
    function MarginTopDirective() {}
    Object.defineProperty(MarginTopDirective.prototype, "marginTop", {
        set: function set(val) {
            this._marginTop = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.margin-top'), __metadata("design:type", String)], MarginTopDirective.prototype, "_marginTop", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MarginTopDirective.prototype, "marginTop", null);
    MarginTopDirective = __decorate([core_1.Directive({
        selector: '[marginTop]'
    })], MarginTopDirective);
    return MarginTopDirective;
}();
exports.MarginTopDirective = MarginTopDirective;
var MarginBottomDirective = function () {
    function MarginBottomDirective() {}
    Object.defineProperty(MarginBottomDirective.prototype, "marginBottom", {
        set: function set(val) {
            this._marginBottom = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.margin-bottom'), __metadata("design:type", String)], MarginBottomDirective.prototype, "_marginBottom", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MarginBottomDirective.prototype, "marginBottom", null);
    MarginBottomDirective = __decorate([core_1.Directive({
        selector: '[marginBottom]'
    })], MarginBottomDirective);
    return MarginBottomDirective;
}();
exports.MarginBottomDirective = MarginBottomDirective;

/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * Overflow directives
 */
var OverflowDirective = function () {
    function OverflowDirective() {}
    Object.defineProperty(OverflowDirective.prototype, "overflow", {
        set: function set(val) {
            this._overflow = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.overflow'), __metadata("design:type", String)], OverflowDirective.prototype, "_overflow", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], OverflowDirective.prototype, "overflow", null);
    OverflowDirective = __decorate([core_1.Directive({
        selector: '[overflow]'
    })], OverflowDirective);
    return OverflowDirective;
}();
exports.OverflowDirective = OverflowDirective;
var OverflowXDirective = function () {
    function OverflowXDirective() {}
    Object.defineProperty(OverflowXDirective.prototype, "overflowX", {
        set: function set(val) {
            this._overflowX = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.overflow-x'), __metadata("design:type", String)], OverflowXDirective.prototype, "_overflowX", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], OverflowXDirective.prototype, "overflowX", null);
    OverflowXDirective = __decorate([core_1.Directive({
        selector: '[overflowX]'
    })], OverflowXDirective);
    return OverflowXDirective;
}();
exports.OverflowXDirective = OverflowXDirective;
var OverflowYDirective = function () {
    function OverflowYDirective() {}
    Object.defineProperty(OverflowYDirective.prototype, "overflowY", {
        set: function set(val) {
            this._overflowY = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.overflow-y'), __metadata("design:type", String)], OverflowYDirective.prototype, "_overflowY", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], OverflowYDirective.prototype, "overflowY", null);
    OverflowYDirective = __decorate([core_1.Directive({
        selector: '[overflowY]'
    })], OverflowYDirective);
    return OverflowYDirective;
}();
exports.OverflowYDirective = OverflowYDirective;

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Padding directives
 */
var PaddingDirective = function () {
    function PaddingDirective() {}
    Object.defineProperty(PaddingDirective.prototype, "padding", {
        set: function set(val) {
            this._padding = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.padding'), __metadata("design:type", String)], PaddingDirective.prototype, "_padding", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], PaddingDirective.prototype, "padding", null);
    PaddingDirective = __decorate([core_1.Directive({
        selector: '[padding]'
    })], PaddingDirective);
    return PaddingDirective;
}();
exports.PaddingDirective = PaddingDirective;
var PaddingLeftDirective = function () {
    function PaddingLeftDirective() {}
    Object.defineProperty(PaddingLeftDirective.prototype, "paddingLeft", {
        set: function set(val) {
            this._paddingLeft = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.padding-left'), __metadata("design:type", String)], PaddingLeftDirective.prototype, "_paddingLeft", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], PaddingLeftDirective.prototype, "paddingLeft", null);
    PaddingLeftDirective = __decorate([core_1.Directive({
        selector: '[paddingLeft]'
    })], PaddingLeftDirective);
    return PaddingLeftDirective;
}();
exports.PaddingLeftDirective = PaddingLeftDirective;
var PaddingRightDirective = function () {
    function PaddingRightDirective() {}
    Object.defineProperty(PaddingRightDirective.prototype, "paddingRight", {
        set: function set(val) {
            this._paddingRight = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.padding-right'), __metadata("design:type", String)], PaddingRightDirective.prototype, "_paddingRight", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], PaddingRightDirective.prototype, "paddingRight", null);
    PaddingRightDirective = __decorate([core_1.Directive({
        selector: '[paddingRight]'
    })], PaddingRightDirective);
    return PaddingRightDirective;
}();
exports.PaddingRightDirective = PaddingRightDirective;
var PaddingTopDirective = function () {
    function PaddingTopDirective() {}
    Object.defineProperty(PaddingTopDirective.prototype, "paddingTop", {
        set: function set(val) {
            this._paddingTop = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.padding-top'), __metadata("design:type", String)], PaddingTopDirective.prototype, "_paddingTop", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], PaddingTopDirective.prototype, "paddingTop", null);
    PaddingTopDirective = __decorate([core_1.Directive({
        selector: '[paddingTop]'
    })], PaddingTopDirective);
    return PaddingTopDirective;
}();
exports.PaddingTopDirective = PaddingTopDirective;
var PaddingBottomDirective = function () {
    function PaddingBottomDirective() {}
    Object.defineProperty(PaddingBottomDirective.prototype, "paddingBottom", {
        set: function set(val) {
            this._paddingBottom = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.padding-bottom'), __metadata("design:type", String)], PaddingBottomDirective.prototype, "_paddingBottom", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], PaddingBottomDirective.prototype, "paddingBottom", null);
    PaddingBottomDirective = __decorate([core_1.Directive({
        selector: '[paddingBottom]'
    })], PaddingBottomDirective);
    return PaddingBottomDirective;
}();
exports.PaddingBottomDirective = PaddingBottomDirective;

/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Overflow directives
 */
var FloatDirective = function () {
    function FloatDirective() {}
    Object.defineProperty(FloatDirective.prototype, "float", {
        set: function set(val) {
            this._float = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.float'), __metadata("design:type", String)], FloatDirective.prototype, "_float", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], FloatDirective.prototype, "float", null);
    FloatDirective = __decorate([core_1.Directive({
        selector: '[float]'
    })], FloatDirective);
    return FloatDirective;
}();
exports.FloatDirective = FloatDirective;
var PositionDirective = function () {
    function PositionDirective() {}
    Object.defineProperty(PositionDirective.prototype, "position", {
        set: function set(val) {
            this._position = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.position'), __metadata("design:type", String)], PositionDirective.prototype, "_position", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], PositionDirective.prototype, "position", null);
    PositionDirective = __decorate([core_1.Directive({
        selector: '[position]'
    })], PositionDirective);
    return PositionDirective;
}();
exports.PositionDirective = PositionDirective;
var DisplayDirective = function () {
    function DisplayDirective() {}
    Object.defineProperty(DisplayDirective.prototype, "display", {
        set: function set(val) {
            this._display = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.display'), __metadata("design:type", String)], DisplayDirective.prototype, "_display", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], DisplayDirective.prototype, "display", null);
    DisplayDirective = __decorate([core_1.Directive({
        selector: '[display]'
    })], DisplayDirective);
    return DisplayDirective;
}();
exports.DisplayDirective = DisplayDirective;
var ZIndexDirective = function () {
    function ZIndexDirective() {}
    Object.defineProperty(ZIndexDirective.prototype, "zIndex", {
        set: function set(val) {
            this._z = val;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.z-index'), __metadata("design:type", String)], ZIndexDirective.prototype, "_z", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], ZIndexDirective.prototype, "zIndex", null);
    ZIndexDirective = __decorate([core_1.Directive({
        selector: '[zIndex]'
    })], ZIndexDirective);
    return ZIndexDirective;
}();
exports.ZIndexDirective = ZIndexDirective;
var LeftDirective = function () {
    function LeftDirective() {}
    Object.defineProperty(LeftDirective.prototype, "left", {
        set: function set(val) {
            this._left = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.left'), __metadata("design:type", String)], LeftDirective.prototype, "_left", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], LeftDirective.prototype, "left", null);
    LeftDirective = __decorate([core_1.Directive({
        selector: '[left]'
    })], LeftDirective);
    return LeftDirective;
}();
exports.LeftDirective = LeftDirective;
var RightDirective = function () {
    function RightDirective() {}
    Object.defineProperty(RightDirective.prototype, "right", {
        set: function set(val) {
            this._right = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.right'), __metadata("design:type", String)], RightDirective.prototype, "_right", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], RightDirective.prototype, "right", null);
    RightDirective = __decorate([core_1.Directive({
        selector: '[right]'
    })], RightDirective);
    return RightDirective;
}();
exports.RightDirective = RightDirective;
var TopDirective = function () {
    function TopDirective() {}
    Object.defineProperty(TopDirective.prototype, "top", {
        set: function set(val) {
            this._top = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.top'), __metadata("design:type", String)], TopDirective.prototype, "_top", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], TopDirective.prototype, "top", null);
    TopDirective = __decorate([core_1.Directive({
        selector: '[top]'
    })], TopDirective);
    return TopDirective;
}();
exports.TopDirective = TopDirective;
var BottomDirective = function () {
    function BottomDirective() {}
    Object.defineProperty(BottomDirective.prototype, "bottom", {
        set: function set(val) {
            this._bottom = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.bottom'), __metadata("design:type", String)], BottomDirective.prototype, "_bottom", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], BottomDirective.prototype, "bottom", null);
    BottomDirective = __decorate([core_1.Directive({
        selector: '[bottom]'
    })], BottomDirective);
    return BottomDirective;
}();
exports.BottomDirective = BottomDirective;

/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
/**
 * Text align directives
 */
var TextAlignCenterDirective = function () {
    function TextAlignCenterDirective() {}
    Object.defineProperty(TextAlignCenterDirective.prototype, "tac", {
        set: function set(val) {
            this._tac = 'center';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.text-align'), __metadata("design:type", String)], TextAlignCenterDirective.prototype, "_tac", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], TextAlignCenterDirective.prototype, "tac", null);
    TextAlignCenterDirective = __decorate([core_1.Directive({
        selector: '[tac]'
    })], TextAlignCenterDirective);
    return TextAlignCenterDirective;
}();
exports.TextAlignCenterDirective = TextAlignCenterDirective;
var TextAlignRightDirective = function () {
    function TextAlignRightDirective() {}
    Object.defineProperty(TextAlignRightDirective.prototype, "tac", {
        set: function set(val) {
            this._tac = 'right';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.text-align'), __metadata("design:type", String)], TextAlignRightDirective.prototype, "_tac", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], TextAlignRightDirective.prototype, "tac", null);
    TextAlignRightDirective = __decorate([core_1.Directive({
        selector: '[tar]'
    })], TextAlignRightDirective);
    return TextAlignRightDirective;
}();
exports.TextAlignRightDirective = TextAlignRightDirective;
var TextAlignLeftDirective = function () {
    function TextAlignLeftDirective() {}
    Object.defineProperty(TextAlignLeftDirective.prototype, "tac", {
        set: function set(val) {
            this._tac = 'left';
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.text-align'), __metadata("design:type", String)], TextAlignLeftDirective.prototype, "_tac", void 0);
    __decorate([core_1.Input(), __metadata("design:type", String), __metadata("design:paramtypes", [String])], TextAlignLeftDirective.prototype, "tac", null);
    TextAlignLeftDirective = __decorate([core_1.Directive({
        selector: '[tal]'
    })], TextAlignLeftDirective);
    return TextAlignLeftDirective;
}();
exports.TextAlignLeftDirective = TextAlignLeftDirective;

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var __decorate = undefined && undefined.__decorate || function (decorators, target, key, desc) {
    var c = arguments.length,
        r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc,
        d;
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);else for (var i = decorators.length - 1; i >= 0; i--) {
        if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    }return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = undefined && undefined.__metadata || function (k, v) {
    if ((typeof Reflect === "undefined" ? "undefined" : _typeof(Reflect)) === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var format_1 = __webpack_require__(1);
/**
 * Width directives
 */
var WidthDirective = function () {
    function WidthDirective() {}
    Object.defineProperty(WidthDirective.prototype, "width", {
        set: function set(val) {
            this._width = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.width'), __metadata("design:type", String)], WidthDirective.prototype, "_width", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], WidthDirective.prototype, "width", null);
    WidthDirective = __decorate([core_1.Directive({
        selector: '[width]'
    })], WidthDirective);
    return WidthDirective;
}();
exports.WidthDirective = WidthDirective;
var MaxWidthDirective = function () {
    function MaxWidthDirective() {}
    Object.defineProperty(MaxWidthDirective.prototype, "maxWidth", {
        set: function set(val) {
            this._maxWidth = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.max-width'), __metadata("design:type", String)], MaxWidthDirective.prototype, "_maxWidth", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MaxWidthDirective.prototype, "maxWidth", null);
    MaxWidthDirective = __decorate([core_1.Directive({
        selector: '[maxWidth]'
    })], MaxWidthDirective);
    return MaxWidthDirective;
}();
exports.MaxWidthDirective = MaxWidthDirective;
var MinWidthDirective = function () {
    function MinWidthDirective() {}
    Object.defineProperty(MinWidthDirective.prototype, "minWidth", {
        set: function set(val) {
            this._minWidth = format_1.format(val);
        },
        enumerable: true,
        configurable: true
    });
    __decorate([core_1.HostBinding('style.min-width'), __metadata("design:type", String)], MinWidthDirective.prototype, "_minWidth", void 0);
    __decorate([core_1.Input(), __metadata("design:type", Object), __metadata("design:paramtypes", [Object])], MinWidthDirective.prototype, "minWidth", null);
    MinWidthDirective = __decorate([core_1.Directive({
        selector: '[minWidth]'
    })], MinWidthDirective);
    return MinWidthDirective;
}();
exports.MinWidthDirective = MinWidthDirective;

/***/ })
/******/ ]);
});
//# sourceMappingURL=index.umd.js.map